function [ inputs, outputs ] = compiled_types( object )
inputs = [];
outputs = [];
%try
eval([bdroot '([],[],[],''compile'')']);
%catch exception
%    return;
%end
if (object.mode == 1)
    S = sfroot;
    code_block = sprintf('%s/code',getfullname(object.block_handle));
    code_blocks = find_system(getfullname(object.block_handle),'LookUnderMasks','all','BlockType','SubSystem','Name','code');
    if ~isempty(code_blocks)
        myState = S.find('-isa','Stateflow.EMChart', '-and', 'Path', code_block); % find which one we want to edit
        for (i=1:size(myState.Inputs,1))
            
           inputs = [inputs;{myState.Inputs(i).Name, myState.Inputs(i).CompiledType}];

        end
        
         for (i=1:size(myState.Outputs,1))
            
           outputs = [outputs;{myState.Outputs(i).Name, myState.Outputs(i).CompiledType}];

        end

end
eval([bdroot '([],[],[],''term'')']);

end

